---
updatedAt: 2025-11-13T22:57:05.000Z
agentTools:
  projectIndex: https://docs.evnex.com/llms.txt
---

# List charge point meter values

List meter values for the charge point.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "UUID": {
        "type": "string",
        "example": "52907745-7672-470e-a803-a2f8feb52944",
        "description": "UUIDv4 string. See [RFC 4112](https://tools.ietf.org/html/rfc4122)",
        "pattern": "[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}"
      },
      "APIError": {
        "description": "Information about a problem encountered while performing an operation",
        "properties": {
          "id": {
            "type": "string"
          },
          "code": {
            "type": "string",
            "description": "An application-specific error code"
          },
          "detail": {
            "type": "string",
            "description": "A human-readable explanation specific to this occurrence of the problem"
          },
          "meta": {
            "properties": {
              "correlationId": {
                "type": "string"
              }
            },
            "required": [
              "correlationId"
            ],
            "type": "object",
            "description": "Meta-information about the error"
          },
          "source": {
            "properties": {
              "parameter": {
                "type": "string",
                "description": "Name of the URI query parameter that caused the error"
              },
              "pointer": {
                "type": "string",
                "description": "A [JSON pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document that caused the error",
                "example": "/data/attributes/title"
              }
            },
            "type": "object",
            "description": "References to the source of the error"
          },
          "status": {
            "type": "string",
            "description": "The HTTP [response status code](https://tools.ietf.org/html/rfc7231#section-6) applicable to the error",
            "example": "400",
            "pattern": "[45]\\d{2}"
          },
          "title": {
            "type": "string",
            "description": "A short, human-readable summary of the error type"
          }
        },
        "required": [
          "status",
          "title"
        ],
        "type": "object",
        "additionalProperties": false
      },
      "ResponseApiErrors": {
        "description": "An API error response object",
        "properties": {
          "errors": {
            "items": {
              "$ref": "#/components/schemas/APIError"
            },
            "type": "array"
          }
        },
        "required": [
          "errors"
        ],
        "type": "object",
        "additionalProperties": false
      },
      "OrganisationIdentifier": {
        "properties": {
          "id": {
            "$ref": "#/components/schemas/UUID"
          },
          "type": {
            "type": "string",
            "enum": [
              "organisations"
            ],
            "nullable": false
          }
        },
        "required": [
          "id",
          "type"
        ],
        "type": "object",
        "additionalProperties": false
      },
      "MeterValueIdentifier": {
        "properties": {
          "id": {
            "$ref": "#/components/schemas/UUID"
          },
          "type": {
            "type": "string",
            "enum": [
              "meterValues"
            ],
            "nullable": false
          }
        },
        "required": [
          "id",
          "type"
        ],
        "type": "object",
        "additionalProperties": false
      },
      "MeterValueSummary": {
        "allOf": [
          {
            "$ref": "#/components/schemas/MeterValueIdentifier"
          },
          {
            "properties": {
              "attributes": {
                "properties": {
                  "voltageL3N": {
                    "type": "number",
                    "format": "double",
                    "description": "Active voltage measured on Phase 3 (V)",
                    "minimum": 0
                  },
                  "voltageL2N": {
                    "type": "number",
                    "format": "double",
                    "description": "Active voltage measured on Phase 2 (V)",
                    "minimum": 0
                  },
                  "voltageL1N": {
                    "type": "number",
                    "format": "double",
                    "description": "Active voltage measured on Phase 1 (V)",
                    "minimum": 0
                  },
                  "voltage": {
                    "type": "number",
                    "format": "double",
                    "description": "Active voltage in volts (V)",
                    "minimum": 0
                  },
                  "updatedDate": {
                    "type": "string",
                    "format": "date-time",
                    "description": "Date the meter value was last updated"
                  },
                  "temperature": {
                    "type": "number",
                    "format": "double",
                    "description": "Active temperature in degrees Celsius (°C)"
                  },
                  "stateOfCharge": {
                    "type": "number",
                    "format": "double",
                    "description": "Percentage of battery charged",
                    "minimum": 0
                  },
                  "register": {
                    "type": "number",
                    "format": "double",
                    "description": "The meter's power register in watt-hours (Wh)",
                    "minimum": 0
                  },
                  "power": {
                    "type": "number",
                    "format": "double",
                    "description": "Active power in kilowatts (kW)",
                    "minimum": 0
                  },
                  "frequency": {
                    "type": "number",
                    "format": "double",
                    "description": "Active frequency in hertz (Hz)",
                    "minimum": 0
                  },
                  "currentL3": {
                    "type": "number",
                    "format": "double",
                    "description": "Active current measured on Phase 3 (A)",
                    "minimum": 0
                  },
                  "currentL2": {
                    "type": "number",
                    "format": "double",
                    "description": "Active current measured on Phase 2 (A)",
                    "minimum": 0
                  },
                  "currentL1": {
                    "type": "number",
                    "format": "double",
                    "description": "Active current measured on Phase 1 (A)",
                    "minimum": 0
                  },
                  "current": {
                    "type": "number",
                    "format": "double",
                    "description": "Active current in amperes (A)",
                    "minimum": 0
                  }
                },
                "required": [
                  "updatedDate"
                ],
                "type": "object"
              }
            },
            "required": [
              "attributes"
            ],
            "type": "object"
          }
        ]
      },
      "MeterValue": {
        "allOf": [
          {
            "$ref": "#/components/schemas/MeterValueSummary"
          },
          {
            "properties": {
              "relationships": {
                "properties": {
                  "organisation": {
                    "properties": {
                      "data": {
                        "allOf": [
                          {
                            "$ref": "#/components/schemas/OrganisationIdentifier"
                          }
                        ],
                        "nullable": true
                      }
                    },
                    "required": [
                      "data"
                    ],
                    "type": "object",
                    "description": "Organisation that owns the charge point"
                  }
                },
                "required": [
                  "organisation"
                ],
                "type": "object"
              }
            },
            "required": [
              "relationships"
            ],
            "type": "object"
          }
        ]
      },
      "ResponseListChargePointMeterValues": {
        "properties": {
          "data": {
            "items": {
              "$ref": "#/components/schemas/MeterValue"
            },
            "type": "array"
          }
        },
        "required": [
          "data"
        ],
        "type": "object",
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "ClientAuthorization": {
        "description": "JSON web token generated from client credentials",
        "in": "header",
        "name": "Authorization",
        "type": "apiKey"
      }
    }
  },
  "info": {
    "title": "API Endpoints",
    "version": "1.0.0",
    "description": "HTTP application programming interface for the Evnex platform",
    "license": {
      "name": "UNLICENSED"
    },
    "contact": {
      "name": "Evnex Ltd.",
      "email": "support@evnex.com",
      "url": "https://www.evnex.com/contact"
    }
  },
  "openapi": "3.0.0",
  "paths": {
    "/v1/charge-points/{id}/meter-values": {
      "get": {
        "operationId": "ListChargePointMeterValues",
        "responses": {
          "200": {
            "description": "Ok",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseListChargePointMeterValues"
                }
              }
            }
          },
          "404": {
            "description": "Not Found - Charge point does not exist",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseApiErrors"
                }
              }
            }
          }
        },
        "description": "List meter values for the charge point.",
        "summary": "List charge point meter values",
        "tags": [
          "charge-points"
        ],
        "security": [
          {
            "ClientAuthorization": []
          }
        ],
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/UUID"
            }
          },
          {
            "in": "query",
            "name": "from",
            "required": true,
            "schema": {
              "format": "date-time",
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "to",
            "required": true,
            "schema": {
              "format": "date-time",
              "type": "string"
            }
          }
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://api.evnex.io/"
    }
  ],
  "tags": [
    {
      "name": "charge-points",
      "description": "Operations about charge points"
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```